/*
 * @Author: zhou lei
 * @Date: 2022-10-13 16:05:30
 * @LastEditTime: 2022-10-14 10:28:51
 * @LastEditors: zhou lei
 * @Description:
 * @FilePath: \hgwms-factory-app\src\pages\raw\LineSide\CostCenter\model.ts
 * 联系方式:910592680@qq.com 18669792120 科海达信息技术有限公司
 */
import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
//import http from '@/utils/request';
import { url } from '@/utils/url';
//import { session } from '@/store/modules/session';
import request from '@/utils/request';
import { stringify } from 'query-string';
// import { page } from '@/utils/page';

class OrderInInfo {
  productDescZh?: string;
  qty?: string;
  custCode?: string;
  custCodeName?: string;
  productCode?: string;
  locCode?: string;
  barcode?: string;
  // actualQty?: string;
}

@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'row.LineSide.CostCenter.index',
})
export class wholeTransfer extends VuexModule {
  /**
   * 库位地点列表
   */
  WlList = [];
  userDefined: any = '';
  detailedList: any;
  code = '';
  delCode = '';
  removeList: any = [];
  removeMaterialList: any = [];
  dnNo = '';
  orderInInfo: OrderInInfo = new OrderInInfo();
  @MutationAction
  async centerRecordTableRecovery(list: any) {
    const records: any = await request.post(url.warehouse.center.centerRecordTableRecovery, stringify(list));
    const code = records.code;
    return { code };
  }
}

export default getModule(wholeTransfer);
