/*
 * @Author: zhou lei
 * @Date: 2022-09-29 13:45:51
 * @LastEditTime: 2022-11-08 13:42:51
 * @LastEditors: zhou lei
 * @Description:
 * @FilePath: \hgwms-factory-app\src\pages\raw\LineSide\semifinished-wasteJudgment\model.ts
 * 联系方式:910592680@qq.com 18669792120 科海达信息技术有限公司
 */
import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
import { url } from '@/utils/url';
import { session } from '@/store/modules/session';
@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'raw.LineSide.semifinished-wasteJudgment',
})
export class semifinishedWasteJudgment extends VuexModule {
  //目标容器查询
  SearchCode: any = '';
  CodeDetail: any = '';
  code: any = '';
  resdata: any = {};
  @MutationAction
  async searchBarcode(barcode: any) {
    const res: any = await http.post(url.warehouse.container.getSfgStorageSnPreScrap, {
      barcode,
      factoryCode: session.factoryCode,
      loginName: session.loginName,
    });
    const SearchCode = res.code;
    const CodeDetail = res.data;
    // if (CodeDetail.cpRef4 != null) {
    //   CodeDetail.qty = parseFloat(CodeDetail.qty) - parseFloat(CodeDetail.cpRef4);
    // }
    return { SearchCode, CodeDetail };
  }
  //扫描缺陷，责任区域
  @MutationAction
  async checkDicCode(params: any) {
    const res: any = await http.post(url.warehouse.wholeTransfer.checkDicCode, { dicCode: params, factoryCode: session.factoryCode as string, loginName: session.loginName as string });
    const resdata = res.data;
    const code = res.code;
    return { code, resdata };
  }
  //提交数据
  submitCode: any = '';
  @MutationAction
  async submit(params: any) {
    const res: any = await http.post(url.warehouse.container.preScrapSfgConfirm, params);
    const submitCode = res.code;
    return { submitCode };
  }
}

export default getModule(semifinishedWasteJudgment);
